$(function () {

    $('#frmNuevo').form({
    	keyboardShortcuts: false,
    	fields: {
	      	motivo_nota: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una opcion'}]
		    },
		    descripcion: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    fecha_emision: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
    	},
    	inline : true,

    });

    $('.btn_registrar').on('click', function() {
		if ($('#frmNuevo').form('is valid')) {
			$('#register_modal').modal({
  				closable: false,
		    	onApprove : function() {
		    		sendForm();
			    }
	  		}).modal('show'); 
		} else {
			$('#frmNuevo').form('validate form');
		}
  	});

	function sendForm() {

	    var id_motivo = $('#motivo_nota').val();
	    var motivo = $('#motivo_nota option:selected').text();
        var data = $('#frmNuevo').serialize()+'&id_motivo='+id_motivo+'&motivo='+motivo;

        $.requestApi('/nota/registrar_credito', data, 'POST', function (resolve) {
	        if (resolve) {
	            $.showMessages(resolve, true, APP_URL+'/nota/detalles/'+resolve.id_nota);
	        }
	    });
        
        return false;
	};

});
